# Add software to production task type **POST /data/projects/{project_id}/task-types/{task_type_id}/softwares** Link a software to a task type of a production. The task type must be a task type of the production and the software must not be archived. An existing link is returned as is. Admins, managers of the team and supervisors of the team for the task types of their departments can add it. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Jwt authorization ## Parameters ### Path parameters - **project_id** (string(uuid)) Project unique identifier - **task_type_id** (string(uuid)) Task type unique identifier ### Body: application/json (object) - **software_id** (string(uuid)) Software unique identifier ## Responses ### 201 Task type software link #### Body: application/json (object) - **project_id** (string(uuid)) Project unique identifier - **task_type_id** (string(uuid)) Task type unique identifier - **software_id** (string(uuid)) Software unique identifier ### 400 Task type not in the production, or archived software ### 403 Not allowed to change the softwares of this task type ### 404 Software not found [Powered by Bump.sh](https://bump.sh)